Gruppenkonten · API
Aus dem OpenAPI-Stand erzeugt. Quellzusammenfassungen bleiben unverändert; die JSON-Schemas unten sind die exakten exportierten Definitionen.
GET /api/v1/groups/{id}/accounts
Gemeinsame Konten einer Gruppe ohne Geheimnisse
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:read
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"group_id",
"name",
"platform_url",
"username",
"password_set",
"totp_set",
"notes",
"created_at",
"updated_at"
],
"properties": {
"id": {
"type": "string"
},
"group_id": {
"type": "string"
},
"name": {
"type": "string"
},
"platform_url": {
"type": "string"
},
"username": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"password_set": {
"type": "boolean"
},
"totp_set": {
"type": "boolean"
},
"notes": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"created_at": {
"type": "number"
},
"updated_at": {
"type": "number"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Gemeinsame Konten einer Gruppe ohne Geheimnisse",
"tags": [
"Gruppenkonten"
],
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"profiles:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"group_id",
"name",
"platform_url",
"username",
"password_set",
"totp_set",
"notes",
"created_at",
"updated_at"
],
"properties": {
"id": {
"type": "string"
},
"group_id": {
"type": "string"
},
"name": {
"type": "string"
},
"platform_url": {
"type": "string"
},
"username": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"password_set": {
"type": "boolean"
},
"totp_set": {
"type": "boolean"
},
"notes": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"created_at": {
"type": "number"
},
"updated_at": {
"type": "number"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/groups/{id}/accounts
Gemeinsames Gruppenkonto anlegen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:write
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"name",
"platform_url"
],
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"platform_url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"username": {
"anyOf": [
{
"type": "string",
"maxLength": 256
},
{
"type": "null"
}
]
},
"password": {
"anyOf": [
{
"type": "string",
"maxLength": 1024
},
{
"type": "null"
}
]
},
"totp_secret": {
"anyOf": [
{
"type": "string",
"maxLength": 1024
},
{
"type": "null"
}
]
},
"notes": {
"anyOf": [
{
"type": "string",
"maxLength": 1024
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"201": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"group_id",
"name",
"platform_url",
"username",
"password_set",
"totp_set",
"notes",
"created_at",
"updated_at"
],
"properties": {
"id": {
"type": "string"
},
"group_id": {
"type": "string"
},
"name": {
"type": "string"
},
"platform_url": {
"type": "string"
},
"username": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"password_set": {
"type": "boolean"
},
"totp_set": {
"type": "boolean"
},
"notes": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"created_at": {
"type": "number"
},
"updated_at": {
"type": "number"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Gemeinsames Gruppenkonto anlegen",
"tags": [
"Gruppenkonten"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"name",
"platform_url"
],
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"platform_url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"username": {
"anyOf": [
{
"type": "string",
"maxLength": 256
},
{
"type": "null"
}
]
},
"password": {
"anyOf": [
{
"type": "string",
"maxLength": 1024
},
{
"type": "null"
}
]
},
"totp_secret": {
"anyOf": [
{
"type": "string",
"maxLength": 1024
},
{
"type": "null"
}
]
},
"notes": {
"anyOf": [
{
"type": "string",
"maxLength": 1024
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
}
}
},
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"profiles:write"
],
"responses": {
"201": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"group_id",
"name",
"platform_url",
"username",
"password_set",
"totp_set",
"notes",
"created_at",
"updated_at"
],
"properties": {
"id": {
"type": "string"
},
"group_id": {
"type": "string"
},
"name": {
"type": "string"
},
"platform_url": {
"type": "string"
},
"username": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"password_set": {
"type": "boolean"
},
"totp_set": {
"type": "boolean"
},
"notes": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"created_at": {
"type": "number"
},
"updated_at": {
"type": "number"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}PATCH /api/v1/groups/{id}/accounts/{accountId}
Gemeinsames Gruppenkonto ändern
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:write
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja | |
accountId | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string"
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "accountId",
"required": true
}
]Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"platform_url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"username": {
"anyOf": [
{
"type": "string",
"maxLength": 256
},
{
"type": "null"
}
]
},
"password": {
"anyOf": [
{
"type": "string",
"maxLength": 1024
},
{
"type": "null"
}
]
},
"totp_secret": {
"anyOf": [
{
"type": "string",
"maxLength": 1024
},
{
"type": "null"
}
]
},
"notes": {
"anyOf": [
{
"type": "string",
"maxLength": 1024
},
{
"type": "null"
}
]
}
}
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"group_id",
"name",
"platform_url",
"username",
"password_set",
"totp_set",
"notes",
"created_at",
"updated_at"
],
"properties": {
"id": {
"type": "string"
},
"group_id": {
"type": "string"
},
"name": {
"type": "string"
},
"platform_url": {
"type": "string"
},
"username": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"password_set": {
"type": "boolean"
},
"totp_set": {
"type": "boolean"
},
"notes": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"created_at": {
"type": "number"
},
"updated_at": {
"type": "number"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Gemeinsames Gruppenkonto ändern",
"tags": [
"Gruppenkonten"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"platform_url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"username": {
"anyOf": [
{
"type": "string",
"maxLength": 256
},
{
"type": "null"
}
]
},
"password": {
"anyOf": [
{
"type": "string",
"maxLength": 1024
},
{
"type": "null"
}
]
},
"totp_secret": {
"anyOf": [
{
"type": "string",
"maxLength": 1024
},
{
"type": "null"
}
]
},
"notes": {
"anyOf": [
{
"type": "string",
"maxLength": 1024
},
{
"type": "null"
}
]
}
}
}
}
}
},
"parameters": [
{
"schema": {
"type": "string"
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "accountId",
"required": true
}
],
"x-required-scopes": [
"profiles:write"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"group_id",
"name",
"platform_url",
"username",
"password_set",
"totp_set",
"notes",
"created_at",
"updated_at"
],
"properties": {
"id": {
"type": "string"
},
"group_id": {
"type": "string"
},
"name": {
"type": "string"
},
"platform_url": {
"type": "string"
},
"username": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"password_set": {
"type": "boolean"
},
"totp_set": {
"type": "boolean"
},
"notes": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"created_at": {
"type": "number"
},
"updated_at": {
"type": "number"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}DELETE /api/v1/groups/{id}/accounts/{accountId}
Gemeinsames Gruppenkonto und seine Geheimnisse entfernen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:write
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja | |
accountId | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string"
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "accountId",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"204": {
"description": "No content."
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Gemeinsames Gruppenkonto und seine Geheimnisse entfernen",
"tags": [
"Gruppenkonten"
],
"parameters": [
{
"schema": {
"type": "string"
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "accountId",
"required": true
}
],
"x-required-scopes": [
"profiles:write"
],
"responses": {
"204": {
"description": "No content."
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/groups/{id}/accounts/{accountId}/password
Gruppenkonto-Passwort protokolliert abrufen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: secrets:read
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja | |
accountId | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string"
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "accountId",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"password"
],
"properties": {
"password": {
"type": "string"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Gruppenkonto-Passwort protokolliert abrufen",
"tags": [
"Gruppenkonten"
],
"parameters": [
{
"schema": {
"type": "string"
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "accountId",
"required": true
}
],
"x-required-scopes": [
"secrets:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"password"
],
"properties": {
"password": {
"type": "string"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/groups/{id}/accounts/{accountId}/totp
2FA-Code eines Gruppenkontos abrufen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: secrets:totp
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja | |
accountId | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string"
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "accountId",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"code",
"remaining_s"
],
"properties": {
"code": {
"type": "string"
},
"remaining_s": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "2FA-Code eines Gruppenkontos abrufen",
"tags": [
"Gruppenkonten"
],
"parameters": [
{
"schema": {
"type": "string"
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "accountId",
"required": true
}
],
"x-required-scopes": [
"secrets:totp"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"code",
"remaining_s"
],
"properties": {
"code": {
"type": "string"
},
"remaining_s": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/groups/{id}/accounts/import
Gruppenkonten importieren; bestehende Namen mit identischer Adresse und Benutzer bleiben erhalten
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:write
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"name",
"platform_url"
],
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"platform_url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"username": {
"anyOf": [
{
"type": "string",
"maxLength": 256
},
{
"type": "null"
}
]
},
"password": {
"anyOf": [
{
"type": "string",
"maxLength": 1024
},
{
"type": "null"
}
]
},
"totp_secret": {
"anyOf": [
{
"type": "string",
"maxLength": 1024
},
{
"type": "null"
}
]
},
"notes": {
"anyOf": [
{
"type": "string",
"maxLength": 1024
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"maxItems": 500
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"created",
"skipped"
],
"properties": {
"created": {
"type": "integer"
},
"skipped": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Gruppenkonten importieren; bestehende Namen mit identischer Adresse und Benutzer bleiben erhalten",
"tags": [
"Gruppenkonten"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"name",
"platform_url"
],
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"platform_url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"username": {
"anyOf": [
{
"type": "string",
"maxLength": 256
},
{
"type": "null"
}
]
},
"password": {
"anyOf": [
{
"type": "string",
"maxLength": 1024
},
{
"type": "null"
}
]
},
"totp_secret": {
"anyOf": [
{
"type": "string",
"maxLength": 1024
},
{
"type": "null"
}
]
},
"notes": {
"anyOf": [
{
"type": "string",
"maxLength": 1024
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
},
"maxItems": 500
}
},
"additionalProperties": false
}
}
}
},
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"profiles:write"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"created",
"skipped"
],
"properties": {
"created": {
"type": "integer"
},
"skipped": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/groups/{id}/accounts/export
Gruppenkonten einschließlich Passwörtern und TOTP-Schlüsseln exportieren
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:read, secrets:read
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"format",
"version",
"items"
],
"properties": {
"format": {
"type": "string",
"enum": [
"adbr-group-accounts"
]
},
"version": {
"type": "number",
"enum": [
1
]
},
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"name",
"platform_url"
],
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"platform_url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"username": {
"anyOf": [
{
"type": "string",
"maxLength": 256
},
{
"type": "null"
}
]
},
"password": {
"anyOf": [
{
"type": "string",
"maxLength": 1024
},
{
"type": "null"
}
]
},
"totp_secret": {
"anyOf": [
{
"type": "string",
"maxLength": 1024
},
{
"type": "null"
}
]
},
"notes": {
"anyOf": [
{
"type": "string",
"maxLength": 1024
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Gruppenkonten einschließlich Passwörtern und TOTP-Schlüsseln exportieren",
"tags": [
"Gruppenkonten"
],
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"profiles:read",
"secrets:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"format",
"version",
"items"
],
"properties": {
"format": {
"type": "string",
"enum": [
"adbr-group-accounts"
]
},
"version": {
"type": "number",
"enum": [
1
]
},
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"name",
"platform_url"
],
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"platform_url": {
"type": "string",
"minLength": 1,
"maxLength": 2048
},
"username": {
"anyOf": [
{
"type": "string",
"maxLength": 256
},
{
"type": "null"
}
]
},
"password": {
"anyOf": [
{
"type": "string",
"maxLength": 1024
},
{
"type": "null"
}
]
},
"totp_secret": {
"anyOf": [
{
"type": "string",
"maxLength": 1024
},
{
"type": "null"
}
]
},
"notes": {
"anyOf": [
{
"type": "string",
"maxLength": 1024
},
{
"type": "null"
}
]
}
},
"additionalProperties": false
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/profiles/{id}/group-accounts
Für ein Profil freigegebene Gruppenkonten
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:read
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"group_id",
"items"
],
"properties": {
"group_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"group_id",
"name",
"platform_url",
"username",
"password_set",
"totp_set",
"notes",
"created_at",
"updated_at"
],
"properties": {
"id": {
"type": "string"
},
"group_id": {
"type": "string"
},
"name": {
"type": "string"
},
"platform_url": {
"type": "string"
},
"username": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"password_set": {
"type": "boolean"
},
"totp_set": {
"type": "boolean"
},
"notes": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"created_at": {
"type": "number"
},
"updated_at": {
"type": "number"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Für ein Profil freigegebene Gruppenkonten",
"tags": [
"Gruppenkonten"
],
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"profiles:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"group_id",
"items"
],
"properties": {
"group_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"group_id",
"name",
"platform_url",
"username",
"password_set",
"totp_set",
"notes",
"created_at",
"updated_at"
],
"properties": {
"id": {
"type": "string"
},
"group_id": {
"type": "string"
},
"name": {
"type": "string"
},
"platform_url": {
"type": "string"
},
"username": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"password_set": {
"type": "boolean"
},
"totp_set": {
"type": "boolean"
},
"notes": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"created_at": {
"type": "number"
},
"updated_at": {
"type": "number"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/profiles/{id}/group-accounts/{accountId}/password
Passwort eines aktuell freigegebenen Gruppenkontos abrufen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: secrets:read
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja | |
accountId | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string"
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "accountId",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"password"
],
"properties": {
"password": {
"type": "string"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Passwort eines aktuell freigegebenen Gruppenkontos abrufen",
"tags": [
"Gruppenkonten"
],
"parameters": [
{
"schema": {
"type": "string"
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "accountId",
"required": true
}
],
"x-required-scopes": [
"secrets:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"password"
],
"properties": {
"password": {
"type": "string"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/profiles/{id}/group-accounts/{accountId}/totp
2FA-Code eines aktuell freigegebenen Gruppenkontos abrufen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: secrets:totp
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja | |
accountId | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string"
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "accountId",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"code",
"remaining_s"
],
"properties": {
"code": {
"type": "string"
},
"remaining_s": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "2FA-Code eines aktuell freigegebenen Gruppenkontos abrufen",
"tags": [
"Gruppenkonten"
],
"parameters": [
{
"schema": {
"type": "string"
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "accountId",
"required": true
}
],
"x-required-scopes": [
"secrets:totp"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"code",
"remaining_s"
],
"properties": {
"code": {
"type": "string"
},
"remaining_s": {
"type": "integer"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/profiles/{id}/browser-accounts/tabs
Geöffnete HTTP-/HTTPS-Tabs für Gruppenkonten
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:read, runtime:control
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"title",
"origin"
],
"properties": {
"id": {
"type": "string"
},
"title": {
"type": "string"
},
"origin": {
"type": "string"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Geöffnete HTTP-/HTTPS-Tabs für Gruppenkonten",
"tags": [
"Gruppenkonten"
],
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"profiles:read",
"runtime:control"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"items"
],
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"title",
"origin"
],
"properties": {
"id": {
"type": "string"
},
"title": {
"type": "string"
},
"origin": {
"type": "string"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/profiles/{id}/browser-accounts/tabs/{target}/frames
HTTP-/HTTPS-Dokumente des ausgewählten Tabs
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:read, runtime:control
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja | |
target | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string"
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"in": "path",
"name": "target",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"top_origin",
"items"
],
"properties": {
"top_origin": {
"type": "string"
},
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"parent_id",
"origin",
"depth"
],
"properties": {
"id": {
"type": "string"
},
"parent_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"origin": {
"type": "string"
},
"depth": {
"type": "number"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "HTTP-/HTTPS-Dokumente des ausgewählten Tabs",
"tags": [
"Gruppenkonten"
],
"parameters": [
{
"schema": {
"type": "string"
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"in": "path",
"name": "target",
"required": true
}
],
"x-required-scopes": [
"profiles:read",
"runtime:control"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"top_origin",
"items"
],
"properties": {
"top_origin": {
"type": "string"
},
"items": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"parent_id",
"origin",
"depth"
],
"properties": {
"id": {
"type": "string"
},
"parent_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"origin": {
"type": "string"
},
"depth": {
"type": "number"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/profiles/{id}/browser-accounts/inspect
Anmeldefelder ohne Werte erfassen; Auswahl zwei Minuten gültig
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:read, runtime:control
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"target_id",
"origin"
],
"properties": {
"target_id": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"origin": {
"type": "string",
"maxLength": 2048
},
"frame_id": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"top_origin": {
"type": "string",
"maxLength": 2048
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ticket",
"origin",
"top_origin",
"frame_id",
"group_id",
"expires_at",
"fields"
],
"properties": {
"ticket": {
"type": "string"
},
"origin": {
"type": "string"
},
"top_origin": {
"type": "string"
},
"frame_id": {
"type": "string"
},
"group_id": {
"type": "string"
},
"expires_at": {
"type": "number"
},
"fields": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"label",
"type",
"autocomplete"
],
"properties": {
"id": {
"type": "string"
},
"label": {
"type": "string"
},
"type": {
"type": "string"
},
"autocomplete": {
"type": "string"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Anmeldefelder ohne Werte erfassen; Auswahl zwei Minuten gültig",
"tags": [
"Gruppenkonten"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"target_id",
"origin"
],
"properties": {
"target_id": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"origin": {
"type": "string",
"maxLength": 2048
},
"frame_id": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"top_origin": {
"type": "string",
"maxLength": 2048
}
},
"additionalProperties": false
}
}
}
},
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"profiles:read",
"runtime:control"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ticket",
"origin",
"top_origin",
"frame_id",
"group_id",
"expires_at",
"fields"
],
"properties": {
"ticket": {
"type": "string"
},
"origin": {
"type": "string"
},
"top_origin": {
"type": "string"
},
"frame_id": {
"type": "string"
},
"group_id": {
"type": "string"
},
"expires_at": {
"type": "number"
},
"fields": {
"type": "array",
"items": {
"type": "object",
"required": [
"id",
"label",
"type",
"autocomplete"
],
"properties": {
"id": {
"type": "string"
},
"label": {
"type": "string"
},
"type": {
"type": "string"
},
"autocomplete": {
"type": "string"
}
}
}
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}DELETE /api/v1/profiles/{id}/browser-accounts/{ticket}
Temporäre Feldauswahl schließen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:read, runtime:control
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja | |
ticket | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string"
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "ticket",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"204": {
"description": "No content."
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Temporäre Feldauswahl schließen",
"tags": [
"Gruppenkonten"
],
"parameters": [
{
"schema": {
"type": "string"
},
"in": "path",
"name": "id",
"required": true
},
{
"schema": {
"type": "string"
},
"in": "path",
"name": "ticket",
"required": true
}
],
"x-required-scopes": [
"profiles:read",
"runtime:control"
],
"responses": {
"204": {
"description": "No content."
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/profiles/{id}/browser-accounts/fill
Ausgewählte Anmeldefelder mit einem passenden Gruppenkonto ausfüllen
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:read, runtime:control, secrets:read
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ticket",
"username_field",
"password_field",
"account_id"
],
"properties": {
"ticket": {
"type": "string",
"format": "uuid"
},
"username_field": {
"anyOf": [
{
"type": "string",
"maxLength": 10
},
{
"type": "null"
}
]
},
"password_field": {
"type": "string",
"minLength": 1,
"maxLength": 10
},
"account_id": {
"type": "string"
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"filled"
],
"properties": {
"filled": {
"type": "boolean"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Ausgewählte Anmeldefelder mit einem passenden Gruppenkonto ausfüllen",
"tags": [
"Gruppenkonten"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ticket",
"username_field",
"password_field",
"account_id"
],
"properties": {
"ticket": {
"type": "string",
"format": "uuid"
},
"username_field": {
"anyOf": [
{
"type": "string",
"maxLength": 10
},
{
"type": "null"
}
]
},
"password_field": {
"type": "string",
"minLength": 1,
"maxLength": 10
},
"account_id": {
"type": "string"
}
},
"additionalProperties": false
}
}
}
},
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"profiles:read",
"runtime:control",
"secrets:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"filled"
],
"properties": {
"filled": {
"type": "boolean"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}POST /api/v1/profiles/{id}/browser-accounts/capture
Ausgewählte Anmeldefelder ausdrücklich im Gruppentresor speichern
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:read, profiles:write, runtime:control, secrets:read
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ticket",
"username_field",
"password_field",
"name"
],
"properties": {
"ticket": {
"type": "string",
"format": "uuid"
},
"username_field": {
"anyOf": [
{
"type": "string",
"maxLength": 10
},
{
"type": "null"
}
]
},
"password_field": {
"type": "string",
"minLength": 1,
"maxLength": 10
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"account_id": {
"type": "string"
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"group_id",
"name",
"platform_url",
"username",
"password_set",
"totp_set",
"notes",
"created_at",
"updated_at"
],
"properties": {
"id": {
"type": "string"
},
"group_id": {
"type": "string"
},
"name": {
"type": "string"
},
"platform_url": {
"type": "string"
},
"username": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"password_set": {
"type": "boolean"
},
"totp_set": {
"type": "boolean"
},
"notes": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"created_at": {
"type": "number"
},
"updated_at": {
"type": "number"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Ausgewählte Anmeldefelder ausdrücklich im Gruppentresor speichern",
"tags": [
"Gruppenkonten"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"ticket",
"username_field",
"password_field",
"name"
],
"properties": {
"ticket": {
"type": "string",
"format": "uuid"
},
"username_field": {
"anyOf": [
{
"type": "string",
"maxLength": 10
},
{
"type": "null"
}
]
},
"password_field": {
"type": "string",
"minLength": 1,
"maxLength": 10
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"account_id": {
"type": "string"
}
},
"additionalProperties": false
}
}
}
},
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"profiles:read",
"profiles:write",
"runtime:control",
"secrets:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"id",
"group_id",
"name",
"platform_url",
"username",
"password_set",
"totp_set",
"notes",
"created_at",
"updated_at"
],
"properties": {
"id": {
"type": "string"
},
"group_id": {
"type": "string"
},
"name": {
"type": "string"
},
"platform_url": {
"type": "string"
},
"username": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"password_set": {
"type": "boolean"
},
"totp_set": {
"type": "boolean"
},
"notes": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"created_at": {
"type": "number"
},
"updated_at": {
"type": "number"
}
}
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}GET /api/v1/groups/{id}/browser-vault
Lokale Freigabe der Browser-Tresorerweiterung
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: profiles:read
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Kein Anfragekörper deklariert.
Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"enabled"
],
"properties": {
"enabled": {
"type": "boolean"
}
},
"additionalProperties": false
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Lokale Freigabe der Browser-Tresorerweiterung",
"tags": [
"Gruppenkonten"
],
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"profiles:read"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"enabled"
],
"properties": {
"enabled": {
"type": "boolean"
}
},
"additionalProperties": false
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}PUT /api/v1/groups/{id}/browser-vault
Browser-Tresorerweiterung für diese Gruppe auf diesem Gerät freigeben
Authentifizierung: Bearer-Token
Erforderliche Routen-Scopes: admin
Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.
| Name | Ort | Pflicht | Beschreibung |
|---|---|---|---|
id | path | Ja |
Vollständige Parameterschemas
[
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
]Anfragekörper · erforderlich
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"enabled"
],
"properties": {
"enabled": {
"type": "boolean"
}
},
"additionalProperties": false
}
}
}
}Dokumentierte Antworten
{
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"enabled"
],
"properties": {
"enabled": {
"type": "boolean"
}
},
"additionalProperties": false
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}Vollständige Operationsdefinition
{
"summary": "Browser-Tresorerweiterung für diese Gruppe auf diesem Gerät freigeben",
"tags": [
"Gruppenkonten"
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"enabled"
],
"properties": {
"enabled": {
"type": "boolean"
}
},
"additionalProperties": false
}
}
}
},
"parameters": [
{
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"in": "path",
"name": "id",
"required": true
}
],
"x-required-scopes": [
"admin"
],
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"enabled"
],
"properties": {
"enabled": {
"type": "boolean"
}
},
"additionalProperties": false
}
}
}
},
"default": {
"description": "HTTP error envelope. The status and error.code identify the failure.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Error"
}
}
}
}
}
}